FatFile.h File Reference

FatFile class. More...

`#include <string.h>`
`#include <stddef.h>`
`#include <limits.h>`
`#include "FatLibConfig.h"`
`#include "FatApiConstants.h"`
`#include "FatStructs.h"`
`#include "FatVolume.h"`
Include dependency graph for FatFile.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | FatFile
| Basic file class. More...
struct | FatPos_t
| Internal type for file position - do not use in user apps. More...
struct | fname_t
| Internal type for Short File Name - do not use in user apps. More...

## Macros

#define | isDirSeparator(c) ((c) == '/')
#define | pgm_read_byte(addr) (*(const unsigned char*)(addr))
#define | pgm_read_word(addr) (*(const uint16_t*)(addr))
#define | PROGMEM
#define | PSTR(x) (x)

## Variables

const uint8_t | FNAME_FLAG_LC_BASE = DIR_NT_LC_BASE
const uint8_t | FNAME_FLAG_LC_EXT = DIR_NT_LC_EXT
const uint8_t | FNAME_FLAG_LOST_CHARS = 0X01
const uint8_t | FNAME_FLAG_MIXED_CASE = 0X02
const uint8_t | FNAME_FLAG_NEED_LFN

## Detailed Description

FatFile class.

## Macro Definition Documentation

#define isDirSeparator | ( |  | c | ) | ((c) == '/')

Expression for path name separator.

#define pgm_read_byte | ( |  | addr | ) | (*(const unsigned char*)(addr))

read 8-bits from flash for ARM

#define pgm_read_word | ( |  | addr | ) | (*(const uint16_t*)(addr))

read 16-bits from flash for ARM

#define PROGMEM

store in flash for ARM

#define PSTR | ( |  | x | ) | (x)

store literal string in flash for ARM

## Variable Documentation

const uint8_t FNAME_FLAG_LC_BASE = DIR_NT_LC_BASE

Filename base-name is all lower case

const uint8_t FNAME_FLAG_LC_EXT = DIR_NT_LC_EXT

Filename extension is all lower case.

const uint8_t FNAME_FLAG_LOST_CHARS = 0X01

Derived from a LFN with loss or conversion of characters.

const uint8_t FNAME_FLAG_MIXED_CASE = 0X02

Base-name or extension has mixed case.

const uint8_t FNAME_FLAG_NEED_LFN

Initial value:
=
FNAME_FLAG_LOST_CHARS | FNAME_FLAG_MIXED_CASE
FNAME_FLAG_MIXED_CASE
const uint8_t FNAME_FLAG_MIXED_CASE
Definition: FatFile.h:92
FNAME_FLAG_LOST_CHARS
const uint8_t FNAME_FLAG_LOST_CHARS
Definition: FatFile.h:90

LFN entries are required for file name.